# Customize default deployment
apiVersion: apps/v1
kind: Deployment
metadata:
  name: af-connect-services-frontend
  labels:
    app: af-connect-services-frontend
spec:
  replicas: 0
  template:
    spec:
      volumes:
        - name: fake-auth-temp-files
          emptyDir: {}
      containers:
        - name: af-connect-services-frontend
          image: docker-images.jobtechdev.se/af-connect-services-frontend/af-connect-services-frontend:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 3000
          securityContext:
            # Your app shall always have the container file system read only. Use volumes for temp areas etc.
            readOnlyRootFilesystem: true
          resources:
            limits:
              memory: "2Gi"
            requests:
              memory: "2Gi"
          env:
            - name: COOKIE_SECRET
              valueFrom:
                secretKeyRef:
                  name: af-connect-services-frontend-secrets
                  key: COOKIE_SECRET
          envFrom:
            - configMapRef:
                name: af-connect-services-frontend-env
        - name: fake-auth
          image: docker-images.jobtechdev.se/auth-proxy/auth-proxy:aio
          imagePullPolicy: Always
          env:
            - name: SSN_LIST
              value: 199010102383,199008272396,199812062397,198812192923,198708259216,192001059266,193001017072,193001034663,193001049752,193001051352,195006041239,195006142524,195006262546,195007070005,195007191116,195007282162,195007312589,195008072307,195008121856
            - name: PROXY_TARGET
              value: "af-connect-services-frontend:3000"
          resources: {}
          volumeMounts:
            - name: fake-auth-temp-files
              mountPath: /var/run/supervisord
